Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Jak włączyć obsługę "apt", "apt-get" i "dpkg" w Manjaro?

Zaczęty przez WunderWungiel, Luty 19, 2021, 08:15:46 AM

Poprzedni wątek - Następny wątek

WunderWungiel

Witam wszystkich :)
Zainstalowałem sobie Manjaro na XFCE, i odkryłem, że nie działa tam apt i dpkg. Jak zrobić, by działało? Jestem przyzwyczajony do apt, pacmana nigdy nie używałem.
Pozdrawian :)

pavbaranov

Nie działa i działać nie będzie i dobrze, by nie działało. Manjaro jest jednym z tych dystrybucji, gdzie za zarządzanie odpowiada pacman (obecny w Manjaro pamac jest sui generis nakładką, która może być wykorzystywana zamiennie) i obsługuje paczki *.tar.* (ostatni sufix może występować i obecnie to zst, a historycznie także np. xz, ale nie musi). Paczki deb - obsługiwane przez apt i dpkg - nie są właściwe dla Manjaro. Podobnie jak apt i dpkg nie są odpowiednimi narzędziami do zarządzania paczkami w Manjaro.
Odpowiedniki poleceń z apt/dpkg dla pacmana znajdziesz tu: https://wiki.archlinux.org/index.php/Pacman/Rosetta (nb. jest to przypięte na naszym forum).
Jeśli jesteś bardzo oporny, to istnieje wrapper na pacmana stosujący składnię apt: https://aur.archlinux.org/packages/aptpac. Zwróć jednakże uwagę, że ta paczka jest dla Archa (w Manjaro może, ale nie musi działać prawidłowo). Istnieje też niebezpieczeństwo, że wraz z nową wersją pacman (a 6.0 już puka do drzwi powoli), wrapper działać przestanie.
Moja rada: nauczyć się pacman/pamac (to ostatnie ma nawet GUI).

robson75

Cytat: WunderWungiel w Luty 19, 2021, 08:15:46 AM
Jestem przyzwyczajony do apt, pacmana nigdy nie używałem.
To najwyższa pora zmienić przyzwyczajenia lub distro.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

rzax666

Cytat: pavbaranov w Luty 19, 2021, 11:03:21 AM
https://aur.archlinux.org/packages/aptpac. Zwróć jednakże uwagę, że ta paczka jest dla Archa (w Manjaro może, ale nie musi działać prawidłowo). Istnieje też niebezpieczeństwo, że wraz z nową wersją pacman (a 6.0 już puka do drzwi powoli), wrapper działać przestanie.
Moja rada: nauczyć się pacman/pamac (to ostatnie ma nawet GUI).

haha typowe pewnie nic czego brakuje niedodadza ale rozwala  kompatybilnosc ...  a to kolejni geniusze zamiast dorobic gui do pakmana to zrobili pamaca ... przynajmniej gui zaczyna dzialac  :o

Zobacz najnowsze wiadomości na forum